| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BinIDValue Class Reference
Basic

BinID and a value. More...

`#include <binidvalue.h>`

Inheritance diagram for BinIDValue:
[legend]

## Public Member Functions
| BinIDValue (BinID::IdxType inl=0, BinID::IdxType crl=0, float v=Values::Undef< float >::val())
| BinIDValue (const BinID &, float v=Values::Undef< float >::val())
| BinIDValue (const BinIDValues &, int idx)
| ~BinIDValue ()
bool | operator!= (const BinID &) const
bool | operator!= (const BinIDValueIdxPair &oth) const
bool | operator== (const BinID &) const
bool | operator== (const BinIDValueIdxPair &oth) const
Public Member Functions inherited from Pos::ValueIdxPair< IPT, FT >
| ValueIdxPair (const IdxPairValues< IPT, FT > &ipvs, int idx=0)
| ValueIdxPair (const IPT &b, FT v=Values::Undef< FT >::val())
| ValueIdxPair (int f=0, int s=0, FT v=Values::Undef< FT >::val())
bool | equalPos (const IPT &ip) const
bool | isUdf () const
| operator FT () const
| operator FT & ()
bool | operator!= (const ValueIdxPair &vip) const
bool | operator== (const ValueIdxPair &) const
void | set (const IdxPairValues< IPT, FT > &, int idx=0)
void | set (const IPT &ipt)
void | set (const IPT &ipt, FT f)
void | set (FT f)
FT & | val ()
FT | val () const

## Additional Inherited Members
Public Types inherited from Pos::ValueIdxPair< IPT, FT >
typedef IPT | pos_type
typedef FT | value_type
Protected Attributes inherited from Pos::ValueIdxPair< IPT, FT >
FT | val_

## Detailed Description

BinID and a value.

Can be used as a BinID, also contains a val().

<>

## Constructor & Destructor Documentation

## ◆ BinIDValue() [1/3]

BinIDValue::BinIDValue | ( | BinID::IdxType | inl = 0,
|  | BinID::IdxType | crl = 0,
|  | float | v = Values::Undef< float >::val() )

## ◆ BinIDValue() [2/3]

BinIDValue::BinIDValue | ( | const BinID & | ,
|  | float | v = Values::Undef< float >::val() )

## ◆ BinIDValue() [3/3]

BinIDValue::BinIDValue | ( | const BinIDValues & | ,
|  | int | idx )

## ◆ ~BinIDValue()

BinIDValue::~BinIDValue | ( |  | ) |

## Member Function Documentation

## ◆ operator!=() [1/2]

bool BinIDValue::operator!= | ( | const BinID & |  | ) | const

## ◆ operator!=() [2/2]

bool BinIDValue::operator!= | ( | const BinIDValueIdxPair & | oth | ) | const
| inline

## ◆ operator==() [1/2]

bool BinIDValue::operator== | ( | const BinID & |  | ) | const

## ◆ operator==() [2/2]

bool BinIDValue::operator== | ( | const BinIDValueIdxPair & | oth | ) | const
| inline

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025